$(document).ready(function(){
	var tbTitle=$("#tbTitle");
	var tbShortTitle=$("#tbShortTitle")
	var btnOk=$("#btnOk");	
	///////////////////////////////////////
	tbTitle.keyup(function(){
		var tbTitleVal=tbTitle.val();
		if(tbTitleVal!="")
		{
			tbTitle.removeClass();
			tbTitle.addClass("tskInputBox");	
		}
	});
	
	tbTitle.blur(function(){
		var tbTitleVal=tbTitle.val();
		tbTitle.data("value",tbTitleVal);
		if(tbTitleVal!="")
		{
			if(tbTitleVal.length<3)
			{
				tbTitle.addClass("tskInputError");
				tbTitle.val("名称太短，不能少于3个字符！");				
			}
			else
			{				
				tbTitle.removeClass();
				tbTitle.addClass("tskInputBox");	
			}
		}
		else
		{
			tbTitle.addClass("tskInputError");
			tbTitle.val("名称不能为空！");
		}		
	});
	tbTitle.focus(function(){
		tbTitle.val(tbTitle.data("value"));
	});
	///////////////////////////////////////
	tbShortTitle.keyup(function(){
		var tbShortTitleVal=tbShortTitle.val();
		if(tbShortTitleVal!="")
		{
			tbShortTitle.removeClass();
			tbShortTitle.addClass("tskInputBox");	
		}
	});
	
	tbShortTitle.blur(function(){
		var tbShortTitleVal=tbShortTitle.val();
		tbShortTitle.data("value",tbShortTitleVal);
		if(tbShortTitleVal!="")
		{
			/*$.post("http://www.youhuala.com/user/checkIfExist.aspx?STxt="+encodeURIComponent(encodeURIComponent(tbShortTitleVal)),function(data){
						if(data.length>2)
						{
							$("#tbkisExist").html("此产品已添加。");						
							tbShortTitle.addClass("tskInputError");

						}
						else
						{*/
							$("#tbkisExist").html("");
							tbShortTitle.removeClass();
							tbShortTitle.addClass("tskInputBox");
						/*}
			});*/
		}
		else
		{
			tbShortTitle.addClass("tskInputError");
			tbShortTitle.val("不能为空！");
		}

	});
	tbShortTitle.focus(function(){
		tbShortTitle.val(tbShortTitle.data("value"));
	});
	
	
	//////++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	btnOk.click(function(){
		var tbTitleVal=tbTitle.val();
		if(tbTitleVal==""||tbTitleVal=="名称不能为空！")
		{
			tbTitle.addClass("tskInputError");
			tbTitle.val("名称不能为空！");
			return false;
		}
		else
		{
			if(tbTitleVal.length<3)
			{
				tbTitle.addClass("tskInputError");
				tbTitle.val("名称太短，不能少于3个字符！");
				return false;				
			}
		}
		//////------------------------------------------------------
		var tbShortTitleVal=tbShortTitle.val();
		if(tbShortTitleVal==""||tbShortTitleVal=="不能为空！")
		{
			tbShortTitle.addClass("tskInputError");
			tbShortTitle.val("不能为空！");
			return false;
		}	
		
	});
});
